Skip to content
Clym Partner Portal

API reference

Merchants

Create, update and remove the merchants in your partner account.

Get merchants

GET

Retrieves a list of merchants available for your partner account. Merchants can also be filtered based on metadata information, using query string keys meta.{key}={value}, such as ?meta.iso_id=2

Query parameters:

Name Type Required Description
id string No Retrieve a specific merchant by ID or merchant_id
ids array No Retrieve multiple merchants by their IDs
merchant_id string No Filter by merchant ID (exact match)
search string No Search by merchant_id or associated domain hostname
is_registered boolean No Filter by whether a domain is linked to the merchant
created_at_start string No Filter merchants created after this date
created_at_end string No Filter merchants created before this date
registered_at_start string No Filter merchants registered after this date
registered_at_end string No Filter merchants registered before this date
activated_at_start string No Filter by domain activation date (after)
activated_at_end string No Filter by domain activation date (before)
domain_status string No Filter by associated domain status
domain_id string No Filter by domain ID
domain_partner_id string No Filter by domain partner ID
page integer No Page number
limit integer No Results per page
200An array with all partner merchantsapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobject[]optional
Show properties
idstringoptional
The Clym internal ID of the resource
merchant_idstringoptional
The external merchant ID
company_namestringoptional
An optional company name attached to this merchant
countrystringoptional
ISO 3166-1 alpha-2 country code
statestringoptional
Country state/province/region
citystringoptional
City
addressstringoptional
Address
postal_codestringoptional
Postal code
iso_idstringoptional
An ISO identifier
descriptionstringoptional
An optional description of the merchant
created_atstringoptional
registered_atstringoptional
partner_idstringoptional
productobjectoptional
The default product associated to this merchant
Show properties
idintegeroptional
codestringoptional
namestringoptional
descriptionstringoptional
price_listobjectoptional
The default price list associated to this merchant
Show properties
idintegeroptional
codestringoptional
namestringoptional
addonsobject[]optional
An optional array of add-on products associated with this merchant
Show properties
idstringoptional
start_datestringoptional
created_atstringoptional
productobjectoptional
Show properties
idintegeroptional
codestringoptional
namestringoptional
descriptionstringoptional
support_urlstringoptional
domainobjectoptional
Once registered, the domain information that has been tied to the merchant entity
Show properties
idstringoptional
hostnamestringoptional
statusstringoptional
is_activebooleanoptional
created_atstringoptional
activated_atstringoptional
emailstringoptional
sourcestringoptional
metaobjectoptional
An optional object containing previously-set metadata for a merchant.
get/portal/merchants
GET /api/portal/merchants HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200An array with all partner merchants
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": [{
    "id": "string",
    "merchant_id": "string",
    "company_name": "string",
    "country": "US",
    "state": "DE",
    "city": "Wilmington",
    "address": "112 Main road",
    "postal_code": 112334,
    "iso_id": "string",
    "description": "string",
    "created_at": "string",
    "registered_at": "string",
    "partner_id": "string",
    "product": {
      "id": 0,
      "code": "BASE",
      "name": "string",
      "description": "string"
    },
    "price_list": {
      "id": 0,
      "code": "string",
      "name": "string"
    },
    "addons": [{
      "id": "string",
      "start_date": "string",
      "created_at": "string",
      "product": {
        "id": {},
        "code": {},
        "name": {},
        "description": {},
        "support_url": {}
      }
    }],
    "domain": {
      "id": "string",
      "hostname": "string",
      "status": "string",
      "is_active": false,
      "created_at": "string",
      "activated_at": "string",
      "email": "string",
      "source": "string"
    },
    "meta": {}
  }]
}

Create merchant

POST

Create a new merchant in your partner account

Request bodyapplication/json
merchant_idstringrequired
Your merchant id
company_namestringoptional
The company name
countrystringoptional
ISO 3166-1 alpha-2 country code
statestringoptional
Country state/province/region
citystringoptional
City
addressstringoptional
Address
postal_codestringoptional
Postal code
descriptionstringoptional
An optional description for this merchant
iso_idstringoptional
Optional ISO identifier
productstringoptional
The default billing product code for this merchant. This will act as the default product for the domain associated with this merchant
price_liststringoptional
The default billing price list code for this merchant. This will act as the default price list for the domain associated with this merchant
addonsobject[]optional
An array of add-on products to be assigned to this merchant and the future domain associated with this merchant
Show properties
addonstringoptional
start_datestringoptional
metaobjectoptional
Optional key-value object containing merchant metadata
200Merchant added to the partner accountapplication/json
resultobjectoptional
Show properties
idstringoptional
merchant_idstringoptional
company_namestringoptional
metaobjectoptional
created_atstringoptional
post/portal/merchants
POST /api/portal/merchants HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "merchant_id": "string",
  "company_name": "My Company Inc",
  "country": "US",
  "state": "DE",
  "city": "Wilmington",
  "address": "112 Main road",
  "postal_code": 112334,
  "description": "Merchant one",
  "iso_id": "my-iso-id",
  "product": "BASE",
  "price_list": "RESELLER",
  "addons": [
    {
      "addon": "INSUR_01",
      "start_date": "string"
    }
  ],
  "meta": {
    "key": "value"
  }
}
200Merchant added to the partner account
{
  "result": {
    "id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
    "merchant_id": 1234556,
    "company_name": "My Company Inc",
    "meta": {},
    "created_at": "string"
  }
}

Get merchant

GET

Retrieve information about a single merchant

Path parameters:

Name Type Required Description
merchantId string Yes The Clym merchant id, or your own merchant_id
200The partner domain informationapplication/json
resultobjectoptional
A merchant object
Show properties
idstringoptional
The Clym internal ID of the resource
merchant_idstringoptional
The external merchant ID
company_namestringoptional
An optional company name attached to this merchant
countrystringoptional
ISO 3166-1 alpha-2 country code
statestringoptional
Country state/province/region
citystringoptional
City
addressstringoptional
Address
postal_codestringoptional
Postal code
iso_idstringoptional
An ISO identifier
descriptionstringoptional
An optional description of the merchant
created_atstringoptional
registered_atstringoptional
partner_idstringoptional
productobjectoptional
The default product associated to this merchant
Show properties
idintegeroptional
codestringoptional
namestringoptional
descriptionstringoptional
price_listobjectoptional
The default price list associated to this merchant
Show properties
idintegeroptional
codestringoptional
namestringoptional
addonsobject[]optional
An optional array of add-on products associated with this merchant
Show properties
idstringoptional
start_datestringoptional
created_atstringoptional
productobjectoptional
Show properties
idintegeroptional
codestringoptional
namestringoptional
descriptionstringoptional
support_urlstringoptional
domainobjectoptional
Once registered, the domain information that has been tied to the merchant entity
Show properties
idstringoptional
hostnamestringoptional
statusstringoptional
is_activebooleanoptional
created_atstringoptional
activated_atstringoptional
emailstringoptional
sourcestringoptional
metaobjectoptional
An optional object containing previously-set metadata for a merchant.
get/portal/merchants/{merchantId}
GET /api/portal/merchants/{merchantId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200The partner domain information
{
  "result": {
    "id": "string",
    "merchant_id": "string",
    "company_name": "string",
    "country": "US",
    "state": "DE",
    "city": "Wilmington",
    "address": "112 Main road",
    "postal_code": 112334,
    "iso_id": "string",
    "description": "string",
    "created_at": "string",
    "registered_at": "string",
    "partner_id": "string",
    "product": {
      "id": 0,
      "code": "BASE",
      "name": "string",
      "description": "string"
    },
    "price_list": {
      "id": 0,
      "code": "string",
      "name": "string"
    },
    "addons": [{
      "id": "string",
      "start_date": "string",
      "created_at": "string",
      "product": {
        "id": 0,
        "code": "string",
        "name": "string",
        "description": "string",
        "support_url": "string"
      }
    }],
    "domain": {
      "id": "string",
      "hostname": "string",
      "status": "string",
      "is_active": false,
      "created_at": "string",
      "activated_at": "string",
      "email": "string",
      "source": "string"
    },
    "meta": {}
  }
}

Update merchant

PUT

Update information about a merchant

Path parameters:

Name Type Required Description
merchantId string Yes The Clym merchant id, or your own merchant_id
Request bodyapplication/json
merchant_idstringoptional
The new merchant id to use
company_namestringoptional
The company legal name to use
countrystringoptional
ISO 3166-1 alpha-2 country code
statestringoptional
Country state/province/region
citystringoptional
City
addressstringoptional
Address
postal_codestringoptional
Postal code
descriptionstringoptional
Optional merchant description
metaobjectoptional
Optional key-value object containing merchant metadata
domain_idstringnullableoptional
The domain id to attach to this merchant. If set to null, it will unassign the domain from the merchant.
domain_partner_idstringnullableoptional
If set, it will assign the specified domain partner to the merchant
iso_idstringnullableoptional
Optional ISO identifier
productstringoptional
The default billing product code for this merchant. This will act as the default product for the domain associated with this merchant
price_liststringoptional
The default billing price list code for this merchant. This will act as the default price list for the domain associated with this merchant
addonsobject[]optional
An array of add-on products to be assigned to this merchant and the future domain associated with this merchant
Show properties
addonstringoptional
start_datestringoptional
200Acknowledgement that request was successful.application/json
resultobjectoptional
A merchant object
Show properties
idstringoptional
The Clym internal ID of the resource
merchant_idstringoptional
The external merchant ID
company_namestringoptional
An optional company name attached to this merchant
countrystringoptional
ISO 3166-1 alpha-2 country code
statestringoptional
Country state/province/region
citystringoptional
City
addressstringoptional
Address
postal_codestringoptional
Postal code
iso_idstringoptional
An ISO identifier
descriptionstringoptional
An optional description of the merchant
created_atstringoptional
registered_atstringoptional
partner_idstringoptional
productobjectoptional
The default product associated to this merchant
Show properties
idintegeroptional
codestringoptional
namestringoptional
descriptionstringoptional
price_listobjectoptional
The default price list associated to this merchant
Show properties
idintegeroptional
codestringoptional
namestringoptional
addonsobject[]optional
An optional array of add-on products associated with this merchant
Show properties
idstringoptional
start_datestringoptional
created_atstringoptional
productobjectoptional
Show properties
idintegeroptional
codestringoptional
namestringoptional
descriptionstringoptional
support_urlstringoptional
domainobjectoptional
Once registered, the domain information that has been tied to the merchant entity
Show properties
idstringoptional
hostnamestringoptional
statusstringoptional
is_activebooleanoptional
created_atstringoptional
activated_atstringoptional
emailstringoptional
sourcestringoptional
metaobjectoptional
An optional object containing previously-set metadata for a merchant.
put/portal/merchants/{merchantId}
PUT /api/portal/merchants/{merchantId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "merchant_id": "my-merchant-id",
  "company_name": "My Company Inc",
  "country": "US",
  "state": "DE",
  "city": "Wilmington",
  "address": "112 Main road",
  "postal_code": 112334,
  "description": "My merchant description",
  "meta": {
    "iso_id": "id"
  },
  "domain_id": "dadcc24837ff49a2b409b288ur0tdpfd",
  "domain_partner_id": "string",
  "iso_id": "my-iso-id",
  "product": "BASE",
  "price_list": "RESELLER",
  "addons": [
    {
      "addon": "INSUR_01",
      "start_date": "string"
    }
  ]
}
200Acknowledgement that request was successful.
{
  "result": {
    "id": "string",
    "merchant_id": "string",
    "company_name": "string",
    "country": "US",
    "state": "DE",
    "city": "Wilmington",
    "address": "112 Main road",
    "postal_code": 112334,
    "iso_id": "string",
    "description": "string",
    "created_at": "string",
    "registered_at": "string",
    "partner_id": "string",
    "product": {
      "id": 0,
      "code": "BASE",
      "name": "string",
      "description": "string"
    },
    "price_list": {
      "id": 0,
      "code": "string",
      "name": "string"
    },
    "addons": [{
      "id": "string",
      "start_date": "string",
      "created_at": "string",
      "product": {
        "id": 0,
        "code": "string",
        "name": "string",
        "description": "string",
        "support_url": "string"
      }
    }],
    "domain": {
      "id": "string",
      "hostname": "string",
      "status": "string",
      "is_active": false,
      "created_at": "string",
      "activated_at": "string",
      "email": "string",
      "source": "string"
    },
    "meta": {}
  }
}

Delete merchant

DELETE

Completely delete the merchant and associated domain (if any) from your partner account

Path parameters:

Name Type Required Description
merchantId string Yes The Clym merchant id. Your own merchant_id is not accepted here.
200Merchant deletion confirmationapplication/json
resultobjectoptional
Show properties
deletedbooleanoptional
delete/portal/merchants/{merchantId}
DELETE /api/portal/merchants/{merchantId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Merchant deletion confirmation
{
  "result": {
    "deleted": false
  }
}

Bulk create merchants

POST

Create up to 200 merchants in bulk with a single API call. If product, price list and addons is specified in the root body (outside merchants), they will act as default data for all items in the merchants[] array

Request bodyapplication/json
merchantsany[]required
productstringoptional
The default billing product code for this merchant. This will act as the default product for the domain associated with this merchant
price_liststringoptional
The default billing price list code for this merchant. This will act as the default price list for the domain associated with this merchant
addonsobject[]optional
An array of add-on products to be assigned to this merchant and the future domain associated with this merchant
Show properties
addonstringoptional
start_datestringoptional
200Acknowledgement that request was successful.application/json
resultobjectoptional
Show properties
createdobject[]optional
Show properties
idstringoptional
merchant_idstringoptional
created_atstringoptional
failedobject[]optional
Show properties
merchant_idstringoptional
errorobjectoptional
An error object
Show properties
codestringoptional
An error code
nsstringoptional
An error namespace
messagestringoptional
Additional error message information
statusnumberoptional
dataobjectoptional
post/portal/merchants/bulk/create
POST /api/portal/merchants/bulk/create HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "merchants": [
    null
  ],
  "product": "BASE",
  "price_list": "RESELLER",
  "addons": [
    {
      "addon": "INSUR_01",
      "start_date": "string"
    }
  ]
}
200Acknowledgement that request was successful.
{
  "result": {
    "created": [{
      "id": "7301d95285824ae2b6c99e70zkyjssgp",
      "merchant_id": "my-merchant-id",
      "created_at": "string"
    }],
    "failed": [{
      "merchant_id": "my-merchant-id",
      "error": {
        "code": "DATA.INVALID_NAME",
        "ns": "DATA",
        "message": "string",
        "status": 400,
        "data": {}
      }
    }]
  }
}

Bulk delete merchants

POST

Delete up to 200 merchants in bulk with a single API call

Request bodyapplication/json
merchantsstring[]required
200Acknowledgement that request was successful.application/json
resultobjectoptional
Show properties
removedobject[]optional
Show properties
idstringoptional
merchant_idstringoptional
failedobject[]optional
Show properties
merchant_idstringoptional
errorobjectoptional
An error object
Show properties
codestringoptional
An error code
nsstringoptional
An error namespace
messagestringoptional
Additional error message information
statusnumberoptional
dataobjectoptional
post/portal/merchants/bulk/delete
POST /api/portal/merchants/bulk/delete HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "merchants": [
    "string"
  ]
}
200Acknowledgement that request was successful.
{
  "result": {
    "removed": [{
      "id": "7301d95285824ae2b6c99e70zkyjssgp",
      "merchant_id": "my-merchant-id"
    }],
    "failed": [{
      "merchant_id": "my-merchant-id",
      "error": {
        "code": "DATA.INVALID_NAME",
        "ns": "DATA",
        "message": "string",
        "status": 400,
        "data": {}
      }
    }]
  }
}

© 2026 Clym Partner PortalTermsPrivacy policyCookie policy